<%--
  The contents of this file are subject to the Mozilla Public License Version 1.1
  (the "License"); you may not use this file except in compliance with the License.
  You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

  Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
  WARRANTY OF ANY KIND, either express or implied. See the License for the specific
  language governing rights and limitations under the License.
  
  The Original Code is the Venice Web Communities System.
  
  The Initial Developer of the Original Code is Eric J. Bowersox <erbo@ricochet.com>,
  for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
  Copyright (C) 2001-2004 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

  Contributor(s): 
--%>
<%@ page import = "com.silverwrist.util.StringUtil" %>
<%@ page import = "com.silverwrist.venice.core.*" %>
<%@ page import = "com.silverwrist.venice.ui.view.JSPView" %>
<%@ taglib uri="/tlds/util" prefix="util" %>
<%
  JSPView data = JSPView.get(request);
  UserProfile prof = (UserProfile)(data.getRequestAttribute("profile"));
  String tmp;
%>
<util:comment>Profile for UID #<%= prof.getUID() %></util:comment>
<util:header title="User Profile:" subtitle="<%= prof.getUserName() %>"/>
<table border="0" cellpadding="6" cellspacing="0"><tr valign="top">
  <td align="left" class="c2"><util:font color="content.fg" size="profile-dates">
    <%= data.getRequestAttribute("user.photo") %><br clear="left" /><p />
    <% java.util.Date tmpd = prof.getCreateDate(); %>
    <% if (tmpd!=null) { %>
      Account created:<br /><util:escape><%= data.formatDate(tmpd) %></util:escape><br />
    <% } // end if %>
    <% tmpd = prof.getLastLoginDate(); %>
    <% if (tmpd!=null) { %>
      Last login:<br /><util:escape><%= data.formatDate(tmpd) %></util:escape><br />
    <% } // end if %>
    <% tmpd = prof.getLastUpdate(); %>
    <% if (tmpd!=null) { %>
      Profile last updated:<br /><util:escape><%= data.formatDate(tmpd) %></util:escape><br />
    <% } // end if %>
  </util:font></td>

  <td align="left" class="content"><util:font color="content.fg" size="content">
    <util:comment>fullname</util:comment><% tmp = data.getRequestAttribute("fullname").toString(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>
      <b><util:escape><%= tmp %></util:escape></b><br />
    <% } // end if %>
    <util:comment>e-mail</util:comment><% tmp = prof.getEmail(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>
      E-mail: <a href="mailto:<%= tmp %>"><util:escape><%= tmp %></util:escape></a><br />
    <% } // end if %>
    <util:comment>url</util:comment><% tmp = prof.getURL(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>
      URL: <a href="<%= tmp %>" target="Wander"><util:escape><%= tmp %></util:escape></a><br />
    <% } // end if %><br />
    <util:comment>company</util:comment><% tmp = prof.getCompany(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><br /><% } %>
    <util:comment>address 1</util:comment><% tmp = prof.getAddressLine1(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><br /><% } %>
    <util:comment>address 2</util:comment><% tmp = prof.getAddressLine2(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><br /><% } %>
    <util:comment>address lastline</util:comment><% tmp = data.getRequestAttribute("address.lastline").toString(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><br /><% } %>
    <util:comment>country</util:comment><% tmp = data.getRequestAttribute("country").toString(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %><util:escape><%= tmp %></util:escape><br /><% } %>
    <util:comment>phone</util:comment><% tmp = prof.getPhone(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>Phone: <util:escape><%= tmp %></util:escape><br /><% } %>
    <util:comment>fax</util:comment><% tmp = prof.getFax(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>Fax: <util:escape><%= tmp %></util:escape><br /><% } %>
    <util:comment>mobile</util:comment><% tmp = prof.getMobile(); %>
    <% if (!(StringUtil.isStringEmpty(tmp))) { %>Mobile: <util:escape><%= tmp %></util:escape><br /><% } %>
  </util:font></td>
</tr></table><br />

<% tmp = prof.getDescription(); %>
<% if (!(StringUtil.isStringEmpty(tmp))) { %>
  <util:font color="content.fg" size="content"><i><util:escape><%= tmp %></util:escape></i></util:font><br />
<% } // end if %>

<% if (prof.canSendQuickEmail()) { %>
  <hr /><util:font color="content.fg" size="content"><b>Send Quick E-Mail To
    <%= prof.getUserName() %>:</b></util:font><br />
  <util:form action="quick_email.js.vs" type="servlet">
    <input type="hidden" name="to_uid" value="<%= prof.getUID() %>" />
    <table border="0" cellpadding="0">
      <tr valign="middle"><td align="left" class="content">
        <util:font color="content.fg" size="content">Subject: </util:font>
        <span class="cinput"><input type="text" class="cinput" name="subj"
                                    size="65" maxlength="255" value="" /></span>
      </td></tr>
      <tr valign="middle"><td align="left" class="cinput">
        <textarea name="pb" wrap="hard" rows="7" cols="80"></textarea>
      </td></tr>
      <tr valign="middle"><td align="left" class="content"><util:button id="send" type="input"/></td></tr>
    </table>
  </util:form>
<% } // end if %>
<%-- EOF --%>
